Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003603 [JEDI VCL] 00 JVCL Components crash always 2006-03-21 16:11 2006-04-07 07:46
Reporter Jagu View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003603: JvDocking crashes when LoadDockLayoutFromAppStorage used.
Description Problem with JvDockings and custom dock.

Most docking styles, immediate AV when using manual dock to create the custom panel. VID works but is unstable, dock/undock a few times and crash. VSNET works, but when you use SaveDockLayoutToAppStorage and LoadDockLayoutToAppStorage you get an access violation every time.
Additional Information I have demonstrated this with a simple mod of the dockingincode demo - I simply changed it to VSNET. Even with the original VID style, the tab dock came back (on load layout) as floating nad would sometimes cause access violations.

Load the demo, hit Tab Dock, Save Layout, and Load Layout and there will be an access violation.
Tags No tags attached.
Attached Files rar file icon DockingInCode.rar [^] (29,571 bytes) 2006-03-21 16:11
rar file icon DockingInCodebin.rar [^] (314,135 bytes) 2006-03-23 13:38

- Relationships

-  Notes
(0009034)
obones (administrator)
2006-04-07 07:46

This is now fixed in CVS. By fixed, I mean that there is no longer an AV. But it seems it works weirdly. So please submit a NEW issue once you have established what is going wrong here.

- Issue History
Date Modified Username Field Change
2006-03-21 16:11 Jagu New Issue
2006-03-21 16:11 Jagu File Added: DockingInCode.rar
2006-03-23 13:38 Jagu File Added: DockingInCodebin.rar
2006-04-07 07:46 obones Status new => resolved
2006-04-07 07:46 obones Resolution open => fixed
2006-04-07 07:46 obones Assigned To => obones
2006-04-07 07:46 obones Note Added: 0009034


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker